anyio==3.6.2 ; python_version >= "3.9" and python_version < "3.11"
appdirs==1.4.4 ; python_version >= "3.9" and python_version < "3.11"
appnope==0.1.3 ; python_version >= "3.9" and python_version < "3.11" and platform_system == "Darwin" or python_version >= "3.9" and python_version < "3.11" and sys_platform == "darwin"
argon2-cffi-bindings==21.2.0 ; python_version >= "3.9" and python_version < "3.11"
argon2-cffi==21.3.0 ; python_version >= "3.9" and python_version < "3.11"
arrow==1.2.3 ; python_version >= "3.9" and python_version < "3.11"
asttokens==2.2.1 ; python_version >= "3.9" and python_version < "3.11"
async-generator==1.10 ; python_version >= "3.9" and python_version < "3.11"
attrs==22.1.0 ; python_version >= "3.9" and python_version < "3.11"
backcall==0.2.0 ; python_version >= "3.9" and python_version < "3.11"
beautifulsoup4==4.11.1 ; python_version >= "3.9" and python_version < "3.11"
black==22.12.0 ; python_version >= "3.9" and python_version < "3.11"
bleach==5.0.1 ; python_version >= "3.9" and python_version < "3.11"
bs4==0.0.1 ; python_version >= "3.9" and python_version < "3.11"
certifi==2022.12.7 ; python_version >= "3.9" and python_version < "3.11"
cffi==1.15.1 ; python_version >= "3.9" and python_version < "3.11"
charset-normalizer==2.1.1 ; python_version >= "3.9" and python_version < "3.11"
click==8.1.3 ; python_version >= "3.9" and python_version < "3.11"
colorama==0.4.6 ; python_version >= "3.9" and python_version < "3.11" and platform_system == "Windows" or python_version >= "3.9" and python_version < "3.11" and sys_platform == "win32"
comm==0.1.2 ; python_version >= "3.9" and python_version < "3.11"
contourpy==1.0.6 ; python_version >= "3.9" and python_version < "3.11"
cssselect==1.2.0 ; python_version >= "3.9" and python_version < "3.11"
cycler==0.11.0 ; python_version >= "3.9" and python_version < "3.11"
debugpy==1.6.4 ; python_version >= "3.9" and python_version < "3.11"
decorator==5.1.1 ; python_version >= "3.9" and python_version < "3.11"
defusedxml==0.7.1 ; python_version >= "3.9" and python_version < "3.11"
entrypoints==0.4 ; python_version >= "3.9" and python_version < "3.11"
exceptiongroup==1.0.4 ; python_version >= "3.9" and python_version < "3.11"
executing==1.2.0 ; python_version >= "3.9" and python_version < "3.11"
fake-useragent==1.1.1 ; python_version >= "3.9" and python_version < "3.11"
fastjsonschema==2.16.2 ; python_version >= "3.9" and python_version < "3.11"
fonttools==4.38.0 ; python_version >= "3.9" and python_version < "3.11"
fqdn==1.5.1 ; python_version >= "3.9" and python_version < "3.11"
grpcio-tools==1.48.2 ; python_version >= "3.9" and python_version < "3.11"
grpcio==1.51.1 ; python_version >= "3.9" and python_version < "3.11"
h11==0.14.0 ; python_version >= "3.9" and python_version < "3.11"
idna==3.4 ; python_version >= "3.9" and python_version < "3.11"
importlib-metadata==5.1.0 ; python_version >= "3.9" and python_version < "3.11"
importlib-resources==5.10.1 ; python_version >= "3.9" and python_version < "3.10"
ipykernel==6.19.2 ; python_version >= "3.9" and python_version < "3.11"
ipython-genutils==0.2.0 ; python_version >= "3.9" and python_version < "3.11"
ipython==8.7.0 ; python_version >= "3.9" and python_version < "3.11"
ipywidgets==8.0.3 ; python_version >= "3.9" and python_version < "3.11"
isoduration==20.11.0 ; python_version >= "3.9" and python_version < "3.11"
jedi==0.18.2 ; python_version >= "3.9" and python_version < "3.11"
jinja2==3.1.2 ; python_version >= "3.9" and python_version < "3.11"
jsonpointer==2.3 ; python_version >= "3.9" and python_version < "3.11"
jsonschema==4.17.3 ; python_version >= "3.9" and python_version < "3.11"
jsonschema[format-nongpl]==4.17.3 ; python_version >= "3.9" and python_version < "3.11"
jupyter-client==7.4.8 ; python_version >= "3.9" and python_version < "3.11"
jupyter-console==6.4.4 ; python_version >= "3.9" and python_version < "3.11"
jupyter-core==5.1.0 ; python_version >= "3.9" and python_version < "3.11"
jupyter-events==0.5.0 ; python_version >= "3.9" and python_version < "3.11"
jupyter-server-terminals==0.4.2 ; python_version >= "3.9" and python_version < "3.11"
jupyter-server==2.0.1 ; python_version >= "3.9" and python_version < "3.11"
jupyter==1.0.0 ; python_version >= "3.9" and python_version < "3.11"
jupyterlab-pygments==0.2.2 ; python_version >= "3.9" and python_version < "3.11"
jupyterlab-widgets==3.0.4 ; python_version >= "3.9" and python_version < "3.11"
kiwisolver==1.4.4 ; python_version >= "3.9" and python_version < "3.11"
lxml==4.9.1 ; python_version >= "3.9" and python_version < "3.11"
markupsafe==2.1.1 ; python_version >= "3.9" and python_version < "3.11"
matplotlib-inline==0.1.6 ; python_version >= "3.9" and python_version < "3.11"
matplotlib==3.6.2 ; python_version >= "3.9" and python_version < "3.11"
mistune==2.0.4 ; python_version >= "3.9" and python_version < "3.11"
mplfinance==0.12.9b7 ; python_version >= "3.9" and python_version < "3.11"
mypy-extensions==0.4.3 ; python_version >= "3.9" and python_version < "3.11"
nbclassic==0.4.8 ; python_version >= "3.9" and python_version < "3.11"
nbclient==0.7.2 ; python_version >= "3.9" and python_version < "3.11"
nbconvert==7.2.6 ; python_version >= "3.9" and python_version < "3.11"
nbformat==5.7.0 ; python_version >= "3.9" and python_version < "3.11"
nest-asyncio==1.5.6 ; python_version >= "3.9" and python_version < "3.11"
notebook-shim==0.2.2 ; python_version >= "3.9" and python_version < "3.11"
notebook==6.5.2 ; python_version >= "3.9" and python_version < "3.11"
numpy==1.23.5 ; python_version < "3.11" and python_version >= "3.9"
outcome==1.2.0 ; python_version >= "3.9" and python_version < "3.11"
packaging==22.0 ; python_version >= "3.9" and python_version < "3.11"
pandas==1.5.2 ; python_version >= "3.9" and python_version < "3.11"
pandocfilters==1.5.0 ; python_version >= "3.9" and python_version < "3.11"
parse==1.19.0 ; python_version >= "3.9" and python_version < "3.11"
parso==0.8.3 ; python_version >= "3.9" and python_version < "3.11"
pathspec==0.10.3 ; python_version >= "3.9" and python_version < "3.11"
pexpect==4.8.0 ; python_version >= "3.9" and python_version < "3.11" and sys_platform != "win32"
pickleshare==0.7.5 ; python_version >= "3.9" and python_version < "3.11"
pillow==9.3.0 ; python_version >= "3.9" and python_version < "3.11"
platformdirs==2.6.0 ; python_version >= "3.9" and python_version < "3.11"
plotly==5.11.0 ; python_version >= "3.9" and python_version < "3.11"
prometheus-client==0.15.0 ; python_version >= "3.9" and python_version < "3.11"
prompt-toolkit==3.0.36 ; python_version >= "3.9" and python_version < "3.11"
protobuf==3.20.3 ; python_version >= "3.9" and python_version < "3.11"
psutil==5.9.4 ; python_version >= "3.9" and python_version < "3.11"
psycopg2==2.9.5 ; python_version >= "3.9" and python_version < "3.11"
ptyprocess==0.7.0 ; python_version >= "3.9" and python_version < "3.11" and os_name != "nt" or python_version >= "3.9" and python_version < "3.11" and sys_platform != "win32"
pure-eval==0.2.2 ; python_version >= "3.9" and python_version < "3.11"
py==1.11.0 ; python_version >= "3.9" and python_version < "3.11" and implementation_name == "pypy"
pycparser==2.21 ; python_version >= "3.9" and python_version < "3.11"
pyee==8.2.2 ; python_version >= "3.9" and python_version < "3.11"
pygments==2.13.0 ; python_version >= "3.9" and python_version < "3.11"
pyparsing==3.0.9 ; python_version >= "3.9" and python_version < "3.11"
pyppeteer==1.0.2 ; python_version >= "3.9" and python_version < "3.11"
pyquery==1.4.3 ; python_version >= "3.9" and python_version < "3.11"
pyrsistent==0.19.2 ; python_version >= "3.9" and python_version < "3.11"
pysocks==1.7.1 ; python_version >= "3.9" and python_version < "3.11"
python-dateutil==2.8.2 ; python_version >= "3.9" and python_version < "3.11"
python-dotenv==0.21.0 ; python_version >= "3.9" and python_version < "3.11"
python-json-logger==2.0.4 ; python_version >= "3.9" and python_version < "3.11"
pytz==2022.6 ; python_version >= "3.9" and python_version < "3.11"
pywin32==305 ; sys_platform == "win32" and platform_python_implementation != "PyPy" and python_version >= "3.9" and python_version < "3.11"
pywinpty==2.0.9 ; python_version >= "3.9" and python_version < "3.11" and os_name == "nt"
pyyaml==6.0 ; python_version >= "3.9" and python_version < "3.11"
pyzmq==24.0.1 ; python_version >= "3.9" and python_version < "3.11"
qtconsole==5.4.0 ; python_version >= "3.9" and python_version < "3.11"
qtpy==2.3.0 ; python_version >= "3.9" and python_version < "3.11"
requests-html==0.10.0 ; python_version >= "3.9" and python_version < "3.11"
requests==2.28.1 ; python_version >= "3.9" and python_version < "3.11"
rfc3339-validator==0.1.4 ; python_version >= "3.9" and python_version < "3.11"
rfc3986-validator==0.1.1 ; python_version >= "3.9" and python_version < "3.11"
scipy==1.6.1 ; python_version >= "3.9" and python_version < "3.11"
selenium==4.7.2 ; python_version >= "3.9" and python_version < "3.11"
send2trash==1.8.0 ; python_version >= "3.9" and python_version < "3.11"
setuptools-scm==7.0.5 ; python_version >= "3.9" and python_version < "3.11"
setuptools==65.6.3 ; python_version >= "3.9" and python_version < "3.11"
six==1.16.0 ; python_version >= "3.9" and python_version < "3.11"
sniffio==1.3.0 ; python_version >= "3.9" and python_version < "3.11"
sortedcontainers==2.4.0 ; python_version >= "3.9" and python_version < "3.11"
soupsieve==2.3.2.post1 ; python_version >= "3.9" and python_version < "3.11"
stack-data==0.6.2 ; python_version >= "3.9" and python_version < "3.11"
tenacity==8.1.0 ; python_version >= "3.9" and python_version < "3.11"
terminado==0.17.1 ; python_version >= "3.9" and python_version < "3.11"
tinkoff-grpc @ git+ssh://git@github.com/strategy155/tinkoff_grpc.git@v0.2.2 ; python_version >= "3.9" and python_version < "3.11"
tinycss2==1.2.1 ; python_version >= "3.9" and python_version < "3.11"
tomli==2.0.1 ; python_version >= "3.9" and python_version < "3.11"
tornado==6.2 ; python_version >= "3.9" and python_version < "3.11"
tqdm==4.64.1 ; python_version >= "3.9" and python_version < "3.11"
traitlets==5.7.1 ; python_version >= "3.9" and python_version < "3.11"
trio-websocket==0.9.2 ; python_version >= "3.9" and python_version < "3.11"
trio==0.22.0 ; python_version >= "3.9" and python_version < "3.11"
typing-extensions==4.4.0 ; python_version >= "3.9" and python_version < "3.11"
uri-template==1.2.0 ; python_version >= "3.9" and python_version < "3.11"
urllib3==1.26.13 ; python_version >= "3.9" and python_version < "3.11"
urllib3[socks]==1.26.13 ; python_version >= "3.9" and python_version < "3.11"
w3lib==2.1.1 ; python_version >= "3.9" and python_version < "3.11"
wcwidth==0.2.5 ; python_version >= "3.9" and python_version < "3.11"
webcolors==1.12 ; python_version >= "3.9" and python_version < "3.11"
webencodings==0.5.1 ; python_version >= "3.9" and python_version < "3.11"
websocket-client==1.4.2 ; python_version >= "3.9" and python_version < "3.11"
websockets==10.4 ; python_version >= "3.9" and python_version < "3.11"
widgetsnbextension==4.0.4 ; python_version >= "3.9" and python_version < "3.11"
wsproto==1.2.0 ; python_version >= "3.9" and python_version < "3.11"
zipp==3.11.0 ; python_version >= "3.9" and python_version < "3.11"
